
########################################################################################################

## 1. Packages and Settings ----

renv::restore(lockfile = "renv.lock", prompt = FALSE)
options(scipen    = 999)

options(max.print = 5000)

options(tibble.width = Inf)



# The below gets rid of package function conflicts

filter    <- dplyr::filter

select    <- dplyr::select

summarize <- dplyr::summarize

########################################################################################################

countries        <- c("/", "Kenya/", "Rwanda/", "Haiti/")

country_abbrs    <- c("", "ke", "rw", "ht")

gdrive_names     <- c("", "Kenya", "Rwanda", "Haiti")

### Create File Path Variables

scripts_filepath          <- "Scripts/"

main_dropbox_filepath    <- "Data/"

round_code_outputs_filepath <- paste0(scripts_filepath, "outputs/")

outputs_filepath    <- "Outputs/"

haiti_data_filepath <- paste0(main_dropbox_filepath, "Haiti/")

rwanda_data_filepath <- paste0(main_dropbox_filepath, "Rwanda/")

kenya_data_filepath <- paste0(main_dropbox_filepath, "Kenya/")

source(paste0(round_code_outputs_filepath, "Table 1.R"))
source(paste0(round_code_outputs_filepath, "Table 2.R"))
source(paste0(round_code_outputs_filepath, "Table 3.R"))
source(paste0(round_code_outputs_filepath, "Table 4.R"))

