
########################################################################################################

## 1. Packages and Settings ----
#renv::init()
renv::restore(lockfile = "renv.lock", prompt = FALSE)

options(scipen    = 999)

options(max.print = 5000)

options(tibble.width = Inf)

if(!require("pacman")) install.packages("pacman")

pacman::p_load(
  anytime, arsenal, assertthat, beepr, broom, corrplot, cowplot, data.table, estimatr, fuzzyjoin, gdata, ggmap, ggrepel,
  ggtext, googledrive, googlesheets4, gridExtra, gt, haven, Hmisc, janitor, kableExtra, lfe, lubridate,
  lwgeom, magick, magrittr, MASS, multcomp, openxlsx, plotly, purrr, RColorBrewer, readstata13, readxl, rgdal,
  rgeos, rio, RStata, s2, sf, showtext, stargazer, stringdist, tidyverse, tinytex, treemap, units, webshot2,
  xaringan, zeallot, glmnet, data.table
)
install.packages("tinytex")
tinytex::install_tinytex()
# The below gets rid of package function conflicts

filter    <- dplyr::filter

select    <- dplyr::select

summarize <- dplyr::summarize

########################################################################################################

countries        <- c("/", "Kenya/", "Rwanda/", "Haiti/")

country_abbrs    <- c("", "ke", "rw", "ht")

gdrive_names     <- c("", "Kenya", "Rwanda", "Haiti")

### Create File Path Variables

scripts_filepath          <- "C:/WBG/github/290v3/Reproducibility Package - DIME new version/Scripts/"

main_dropbox_filepath    <- "C:/WBG/github/290v3/Reproducibility Package - DIME new version/Data/"

round_code_outputs_filepath <- paste0(scripts_filepath, "outputs/")

outputs_filepath    <- "C:/WBG/github/290v3/Reproducibility Package - DIME new version/Outputs/"

haiti_data_filepath <- paste0(main_dropbox_filepath, "Haiti/")

rwanda_data_filepath <- paste0(main_dropbox_filepath, "Rwanda/")

kenya_data_filepath <- paste0(main_dropbox_filepath, "Kenya/")

source(paste0(round_code_outputs_filepath, "Table 1.R"))
source(paste0(round_code_outputs_filepath, "Table 2.R"))
source(paste0(round_code_outputs_filepath, "Table 3.R"))
source(paste0(round_code_outputs_filepath, "Table 4.R"))

